Page MenuHomePhabricator

[AMDGPU][MC] Parser cleanup and refactoring
ClosedPublic

Authored by dp on Apr 16 2019, 2:58 AM.

Details

Summary

Parser cleanup and refactoring. No new functionality.

Summary of changes:

  • removed unused field IsForcedVOP3 of AMDGPUOperand;
  • corrected AMDGPUOperand fields to be private;
  • replaced direct access to AMDGPUOperand fields with accessor functions;
  • refactored parseRegOrImmWithFPInputMods and parseRegOrImmWithIntInputMods to make code more readable.

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Apr 16 2019, 2:58 AM
arsenm accepted this revision.Apr 17 2019, 6:08 AM

LGTM

This revision is now accepted and ready to land.Apr 17 2019, 6:08 AM
Closed by commit rL359096: [AMDGPU][MC] Parser cleanup and refactoring (authored by dpreobra, committed by ). · Explain WhyApr 24 2019, 7:08 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 24 2019, 7:08 AM

There is an ongoing issue here - llvm-commits is not being added as subscriber.
This is at *least* third such patch.
Can you share your workflow? What do you do so distinctly to throw Herald off?